Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Class DocumentParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.document.DocumentException
                  com.bea.document.DocumentParseException

All Implemented Interfaces:
  Serializable

public class DocumentParseException
extends DocumentException

Exception indicating a parse error while creating an IDocument.

See Also:
  Serialized Form

Constructor Summary
`DocumentParseException(String msg, SAXParseException e)`
`DocumentParseException(String msg, String publicId, String systemId, int lineNumber, int columnNumber)`
`DocumentParseException(String msg, String publicId, String systemId, int lineNumber, int columnNumber, Exception e)`

Method Summary
`int` | `getColumnNumber()`
`int` | `getLineNumber()`
`String` | `getPublicId()`
`String` | `getSystemId()`
`static void` | `main(String[] args)`
`String` | `toString()`

Methods inherited from class com.bea.document.DocumentException
`getLinkedException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentParseException

    public DocumentParseException(String msg,
                                  String publicId,
                                  String systemId,
                                  int lineNumber,
                                  int columnNumber)

### DocumentParseException

    public DocumentParseException(String msg,
                                  String publicId,
                                  String systemId,
                                  int lineNumber,
                                  int columnNumber,
                                  Exception e)

### DocumentParseException

    public DocumentParseException(String msg,
                                  SAXParseException e)

Method Detail

### getPublicId

    public String getPublicId()

### getSystemId

    public String getSystemId()

### getLineNumber

    public int getLineNumber()

### getColumnNumber

    public int getColumnNumber()

### toString

    public String toString()

  Overrides:
    `toString` in class `DocumentException`

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD